# ACE_Asynch_Accept_Result_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Accept. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Accept_Result_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Accept_Result_Impl:

[legend]
List of all members.

## Public Member Functions

virtual | ~ACE_Asynch_Accept_Result_Impl (void)
virtual size_t | bytes_to_read (void) const =0
virtual ACE_Message_Block & | message_block (void) const =0
| Message block which contains the read data.
virtual ACE_HANDLE | listen_handle (void) const =0
| I/O handle used for accepting new connections.
virtual ACE_HANDLE | accept_handle (void) const =0
| I/O handle for the new connection.

## Protected Member Functions

| ACE_Asynch_Accept_Result_Impl (void)
| Do-nothing constructor.

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Accept.

## Constructor & Destructor Documentation

ACE_Asynch_Accept_Result_Impl::~ACE_Asynch_Accept_Result_Impl | ( | void |  | ) | `[virtual]`

ACE_INLINE ACE_Asynch_Accept_Result_Impl::ACE_Asynch_Accept_Result_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual ACE_HANDLE ACE_Asynch_Accept_Result_Impl::accept_handle | ( | void |  | ) | const`[pure virtual]`

| I/O handle for the new connection. Implemented in ACE_POSIX_Asynch_Accept_Result, and ACE_WIN32_Asynch_Accept_Result.

virtual size_t ACE_Asynch_Accept_Result_Impl::bytes_to_read | ( | void |  | ) | const`[pure virtual]`

| The number of bytes which were requested at the start of the asynchronous accept. Implemented in ACE_POSIX_Asynch_Accept_Result, and ACE_WIN32_Asynch_Accept_Result.

virtual ACE_HANDLE ACE_Asynch_Accept_Result_Impl::listen_handle | ( | void |  | ) | const`[pure virtual]`

| I/O handle used for accepting new connections. Implemented in ACE_POSIX_Asynch_Accept_Result, and ACE_WIN32_Asynch_Accept_Result.

virtual ACE_Message_Block& ACE_Asynch_Accept_Result_Impl::message_block | ( | void |  | ) | const`[pure virtual]`

| Message block which contains the read data. Implemented in ACE_POSIX_Asynch_Accept_Result, and ACE_WIN32_Asynch_Accept_Result.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp
- Asynch_IO_Impl.inl